import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { User } from '../models/user.model';
import { UserComponent } from '../user/user.component';
import { UserFormComponent } from '../user-form/user-form.component';
import { UsersService } from '../services/users.service';
import { LogService } from '../services/log.service';
import { ComponentCanDeactivate } from '../guards/exitUsers.guard';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-users',
  templateUrl: './users.component.html',
  styleUrls: ['./users.component.sass']
})
export class UsersComponent implements OnInit, ComponentCanDeactivate {

  title: string = "Список пользователей";
  user: User;

  users: User[] = [];


  name: string = "Ben";

  isFilterAge: boolean = false;
  searchName: string = "";

  constructor(private userService: UsersService) { 
    this.user =  new User('Ben',25);
  }
  canDeactivate () : boolean | import("rxjs").Observable<boolean>{

    return confirm("Exit?");
  }
  
  ngOnInit(): void {
    this.users = this.userService.getUsers();
    
    


    this.users.push(new User('sdfsdf',12));
  }

  onUserChanged($user: User) {
    this.user = $user;
    this.users.push($user);
  }



  deleteUser() {
    let user: User = this.users.pop();
  }

}
